/*
 * $Revision: 1.1 $
 */

#include <stdio.h>
#include <inarm.h>
#include <ios3c4510b.h>

// LED 7-segment codes for digits 0-9.
unsigned int seg7table[] = {
  0x17c00, // 0
  0x01800, // 1
  0x0ec00, // 2
  0x0bc00, // 3
  0x19800, // 4
  0x1b400, // 5
  0x1f400, // 6
  0x01c00, // 7
  0x1fc00, // 8
  0x19c00, // 9
};

void delay()
{
  volatile int count = 1000000;
  while (--count) ;
}

main()
{
  int i;

  // Loop forever.
  for (;;)
  {
    // Count from 0 to 9 on 7-segment LED display.
    for (i = 0; i < 10; i++)
    {
      __IOPDATA &= ~0x1fc00; // Clear all segments.
      __IOPDATA |= seg7table[i]; // output current digit.
      delay(); // Wait a little before displaying next digit.
    }
  }
}

