
/*
 * $Revision: 1.2 $
 */

#include "config.h"
#include "timer.h"

static volatile int ms_ctr = 0;
static volatile int tick = 0;

extern int test_number;


void TimerBeat(void)
{
  // Called at 1000 Hz rate.
  ms_ctr++; // Sleep counter.
  tick++; // Button debounce counter.
}


void Sleep(int milliseconds)
{
  ms_ctr = 0;
  while (ms_ctr < milliseconds) ;
}
