/* Low-level debugger interface to the "__exit" function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "__dbg_.h"
#include <stdio.h>
#include <yfuns.h>

#pragma cspy_support = basic
#pragma module_name = "?__exit"

typedef struct __Debug__ExitParams
{
  int mStatus;
} __Debug__ExitParams;

void __exit(int status)
{
  /* Signal that the program has been terminated. */
  __Debug__ExitParams p;
  p.mStatus = status;
  __DebugBreak(__Debug__Exit, &p);

  while (1)
    ;
}
