/* Low-level debugger interface to the "__open" function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "__dbg_.h"
#include <stdio.h>
#include <yfuns.h>

#pragma cspy_support = io
#pragma module_name = "?__open"

typedef struct __Debug__openParams
{
  char const *mName;
  int mMode;
  int mReturnStatus;
} __Debug__openParams;

int __open(char const *name, int mode)
{
  /* Open a file, return a handle to it. */
  __Debug__openParams p;
  p.mName = name;
  p.mMode = mode;
  __DebugBreak(__DebugOpen, &p);

  return p.mReturnStatus;
}
