/* fgetpos function */
#include "xstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

int (fgetpos)(FILE *str, fpos_t *p)
	{	/* get file position indicator for stream */
	int ans;

	_Lockfileatomic(str);
	ans = _Fgpos(str, p);
	_Unlockfileatomic(str);
	return (ans);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
