/* memset function */
#include <yvals.h>
#ifdef _STRING_MORE_INLINES
#define _NO_DEFINITIONS_IN_HEADER_FILES
#endif

#include <string.h>
_STD_BEGIN

void *(memset)(void *s, int c, size_t n)
	{	/* store c throughout unsigned char s[n] */
	const unsigned char uc = c;
	unsigned char *su = (unsigned char *)s;

	for (; 0 < n; ++su, --n)
		*su = uc;
	return (s);
	}
_STD_END

/*
* Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
