/* putchar function */
#include "xstdio.h"
_STD_BEGIN

#if _DLIB_FILE_DESCRIPTOR

int (putchar)(int c)
	{	/* put character to stdout */
	return (fputc(c, stdout));
	}

#else

#include <yfuns.h>

int (putchar)(int c)
{	/* put character to stdout */
  if (c != EOF)
  {
    unsigned char uc = c;
    if (__write(_LLIO_STDOUT, &uc, 1) == 1)
    {
      return c;
    }
  }
  return EOF;
}

#endif

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
