// throw -- terminate on thrown exception REPLACEABLE
#include <cstdio>
#include <cstdlib>
#include <exception>
_X_STD_BEGIN

#if _DLIB_FILE_DESCRIPTOR

static void out(const char * s)
{
  fputs(s, stderr);
}

#else

static void out(const char * s)
{
  puts(s);
}

#endif

#pragma object_attribute = __noreturn
void _Throw(const exception& ex)
	{	// report error and die
	const char *s2 = ex.what();
	out("exception: ");
	out(s2 != 0 ? s2 : "unknown");
	out("\n");
	abort();
	}

_X_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
