/* towupper function */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */
#include <yvals.h>
#include <wctype.h>
#include <locale.h>
#include <xlocale.h>

#if _DLIB_FULL_LOCALE_SUPPORT

#include <xlocale_c.h>

wint_t towupper(wint_t c)
{
  switch (_LocaleForCat(_LC_CTYPE))
  {
  default:

#define _LOCALE_LIST_HELPER(n)                          \
  case _Locale##n##_id:                                 \
  {                                                     \
    extern wint_t _Locale##n##_towupper(wint_t);        \
    return _Locale##n##_towupper(c);                    \
  }

_LOCALE_LIST
  }
}

#undef _LOCALE_LIST_HELPER

#else /* ! _DLIB_FULL_LOCALE_SUPPORT */

#include <xinstantiate.h>

_INSTANTIATE(towupper);

#endif /* _DLIB_FULL_LOCALE_SUPPORT */
