/* vsprintf function */
#include <string.h>
#include "xstdio.h"
_STD_BEGIN

int (vsnprintf)(char *s, size_t size,
	const char *fmt, va_list ap)
	{	/* print formatted to string from arg list */
        int ans;
	_SNProutInfo x;

        x.count = 0;
	if (size == 0)
		{	/* write nothing */
		x.s = (char *)&x.size;	/* place to junk terminating nul */
		x.size = 0;
		}
	else
		{	/* set up buffer */
		x.s = s;
		x.size = --size;
		}
	ans = _Printf(&_SNProut, &x, fmt, &ap);
	*x.s = '\0';

	return ans < 0 ? ans : x.count;
	}
_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
