/* costate support */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <yvals.h>
#include <xwchar.h>
#include <locale.h>
#include <xlocale.h>

#if _DLIB_FULL_LOCALE_SUPPORT

_Statab const * _Getpcostate(void)
{
  switch (_LocaleForCat(_LC_COLLATE))
  {
  default:

#define _LOCALE_LIST_HELPER(n)                                          \
   case _Locale##n##_id:                                                \
   {                                                                    \
     extern const unsigned short * const _Locale##n##_CollateTable[];   \
     return (_Statab const *) _Locale##n##_CollateTable;                \
   }

_LOCALE_LIST

#undef _LOCALE_LIST_HELPER
  }
}

#else /* !_DLIB_FULL_LOCALE_SUPPORT */

_Statab const * _Getpcostate(void)
{
  extern unsigned short const * const _LOCALE_WITH_USED(CollateTable)[];
  return (_Statab const *)_LOCALE_WITH_USED(CollateTable);
}

#endif /* _DLIB_FULL_LOCALE_SUPPORT */
