/* _Getptimes - The current locale time settings. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */
#include <yvals.h>


#if _DLIB_FULL_LOCALE_SUPPORT

#include <locale.h>
#include <xtinfo.h>
#include <xlocale.h>

_STD_BEGIN

_Tinfo const * _GetptimesFor(int id)
{
  switch (id)
  {
  default:

#define _LOCALE_LIST_HELPER(n)                  \
  case _Locale##n##_id:                         \
  {                                             \
    extern const _Tinfo _Locale##n##_Tinfo;     \
    return & _Locale##n##_Tinfo;                \
  }

_LOCALE_LIST
  }
}

_Tinfo const * _Getptimes(void)
{
  return _GetptimesFor(_LocaleForCat(_LC_TIME));
}

_STD_END

#endif /* _DLIB_FULL_LOCALE_SUPPORT */

#undef _LOCALE_LIST_HELPER
