/* _Mbcurmax - Max multibyte encoding size. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <yvals.h>

#if _DLIB_FULL_LOCALE_SUPPORT

#include <locale.h>

#include <xwchar.h>
#include <xlocale.h>
#include <xencoding.h>

size_t _Mbcurmax(void)
{
  switch (_LocaleEncoding())
  {
  default:
  case _EncodingSb_Id:
    return _EncodingSb_LenMax;

#ifdef _ENCODING_USE_UTF8
  case _EncodingUtf8_Id:
    return _EncodingUtf8_LenMax;
#endif
  }
}

#endif /* _DLIB_FULL_LOCALE_SUPPORT */
