/* _Putchar and _Putchars functions */
/* Copyright IAR Systems 2003.  All rights reserved. */
#include "xstdio.h"
_STD_BEGIN

#if _DLIB_PRINTF_CHAR_BY_CHAR

int _Putchar(_Pft * px, char c)
{
  if (((px)->arg = (*(px)->pfn)((px)->arg, c)) != 0)
  {
    (px)->nchar++;
    return 0;
  }
  else
  {
    return EOF;
  }
}


/* return 0 on success and EOF on failure. */
int _Putchars(_Pft * px, char const * s, int n)
{
  int res = 0;
  while (n)
  {
    res = _Putchar(px, *s);
    if (res < 0)
    {
      break;
    }
    ++s;
    --n;
  }
  return res;
}

#else /* _DLIB_PRINTF_CHAR_BY_CHAR */

int _Putchar(_Pft * px, char c)
{
  return _Putchars(px, &c, 1);
}

/* return 0 on success and EOF on failure. */
int _Putchars(_Pft * px, char const * s, int n)
{
  if (n > 0)
  {
    if (((px)->arg = (*(px)->pfn)((px)->arg, s, n)) != 0)
    {
      (px)->nchar += (n);
    }
    else
    {
      return EOF;
    }
  }
  return 0;
}

#endif /* _DLIB_PRINTF_CHAR_BY_CHAR */

_STD_END
