/* Taken from xdfnorm.c, then exchanged F against T in all macros and 
   further templified it. */

short FNAME(Dnorm)(unsigned short *ps)
	{	/* normalize float fraction */
	short xchar;
	unsigned short sign = ps[_X0] & _XSIGN;

	xchar = 1;
	if ((ps[_X0] &= _XFRAC) != 0 || ps[_X1])
		{	/* nonzero, scale */
		if (ps[_X0] == 0)
			ps[_X0] = ps[_X1], ps[_X1] = 0, xchar -= 16;
		for (; ps[_X0] < 1 << _XOFF; --xchar)
			{	/* shift left by 1 */
			ps[_X0] = ps[_X0] << 1 | ps[_X1] >> 15;
			ps[_X1] <<= 1;
			}
		for (; 1 << (_XOFF + 1) <= ps[_X0]; ++xchar)
			{	/* shift right by 1 */
			ps[_X1] = ps[_X1] >> 1 | ps[_X0] << 15;
			ps[_X0] >>= 1;
			}
		ps[_X0] &= _XFRAC;
		}
	ps[_X0] |= sign;
	return (xchar);
	}
