/**************************************************
 *
 * Memory-specific memcpy functions.
 *
 * Copyright 1998-2004 IAR Systems. All rights reserved.
 *
 * $Revision: 1.1 $
 *
 **************************************************/

#include <xxmemxfuncs.h>

#pragma language=extended

#define __VAR_MEM_HELPER1__(M, I)                               \
void M * M##_memcpy(void M * vp, void M const * vq,             \
                    M##_size_t size)                            \
{                                                               \
  char M * p = (char M *)vp;                                    \
  char M * q = (char M *)vq;                                    \
                                                                \
  for (/* EMPTY */; size > 0; --size)                           \
  {                                                             \
    *(p++) = *(q++);                                            \
  }                                                             \
  return vp;                                                    \
}
__VAR_MEMORY_LIST1__()
#undef __VAR_MEM_HELPER1__
