/* fwrite function */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */
#include "xstdio.h"
#include <yfuns.h>

_STD_BEGIN

size_t (__write_array)(const void *ptr, size_t size, size_t nelem)
{
  size_t total = size * nelem;

  if (total == 0)
  {
    return 0;
  }

  {
    size_t written = __write(_LLIO_STDOUT, ptr, total);

    if (written == _LLIO_ERROR)
    {
      return 0;
    }

    return written / size;
  }
}

_STD_END
