/*********************************************************************************/
/*       $Revision: 1.1 $                                                        */
/*                                                                               */
/*       $Id: fLib.i 1.1 2004/02/11 12:54:37 pny Exp $          */
/*                                                                               */
/*********************************************************************************/

#define temp    r12
#define temp2   r10

#define fX      r0
#define fY      r1
#define fZ      r0

#define Xexp    r2
#define Xmant   r3

#define Yexp    r4
#define Ymant   r5

#define Zexp    r2
#define Zmant   r3

#define LR_temp r2
#define equal   r3

#define ret     r0

#define MSB     0x80000000        
#define NaNmask 0xFF000000

// Length of mantissa
#define M_BITS  23
// Length of exponent
#define E_BITS  8

// Max value of exponent
#define ExpMax  (NaNmask>>(M_BITS+1))
// Exponent bias
#define BIAS    ((ExpMax-1)/2)

/*******************************************************
*
*   save and restore registers used in add sub mul div
*
*   Parameters : 
*     none
*
*   Result:
*
*   Note:
*     Pushes r4 - r5, r11
*
*******************************************************/
#define INIT_LIB  stmdb SP!,{r4 - r5,temp2,lr} ;Save registers
#define EXIT_LIB  ldmia SP!,{r4 - r5,temp2,lr} ;restore registers

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif




