/* Low-level debugger interface to the "time" function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "__dbg_.h"
#include <time.h>

#pragma cspy_support = basic
#pragma module_name = "?time"

typedef struct __DebugTimeParams
{
  time_t result;
  time_t *argument;
} __DebugTimeParams;


time_t time(time_t *t)
{
  /* Signal that time has been called */
  __DebugTimeParams p;
  p.argument = t;
  __DebugBreak(__DebugTime, &p);
  return p.result;
}
