/* Low-level debugger interface to the "__close" function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "__dbg_.h"
#include <stdio.h>
#include <yfuns.h>

#pragma cspy_support = io
#pragma module_name = "?__close"

typedef struct __Debug__closeParams
{
  int mHandle;
  int mReturnStatus;
} __Debug__closeParams;

int __close(int handle)
{
  /* Close a file. 0 - 2 can't be closed, >=3 must have been opened before. */
  __Debug__closeParams p;
  p.mHandle = handle;
  __DebugBreak(__DebugClose, &p);

  return p.mReturnStatus;
}
