/* Low-level debugger interface to the "__read" function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "__dbg_.h"
#include <stdio.h>
#include <yfuns.h>

#pragma cspy_support = io
#pragma module_name = "?__read"

typedef struct __Debug__readParams
{
  int mHandle;
  unsigned char *mBuffer;
  size_t mSize;
  size_t mReturnStatus;
} __Debug__readParams;

size_t __read(int handle, unsigned char *buf, size_t size)
{
  /* Read some bytes. */
  __Debug__readParams p;
  p.mHandle = handle;
  p.mBuffer = buf;
  p.mSize = size;
  __DebugBreak(__DebugRead, &p);

  return p.mReturnStatus;
}






