/* Low-level debugger interface to the "__write" function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "__dbg_.h"
#include <stdio.h>
#include <yfuns.h>

#pragma cspy_support = io
#pragma module_name = "?__write"

size_t __write(int handle, const unsigned char *buf, size_t size)
{
  if (buf == 0)
  {
    /* Flushing is not supported by the debugger. */
    return 0;
  }
  return __dwrite(handle, buf, size);
}

