/* perror function */
#include <errno.h>
#include <string.h>
#include "xstdio.h"
_STD_BEGIN

char *_Strerror(int errcode, char *buf);

#if _DLIB_FILE_DESCRIPTOR

static void out(const char * s)
{
  fputs(s, stderr);
}

#else

static void out(const char * s)
{
  puts(s);
}

#endif

void (perror)(const char *s)
	{	/* put error string to stderr */
	if (s != 0 && *s != '\0')
		{	/* put user-supplied prefix */
		out(s);
		out(": ");
		}
	out(_Strerror(errno, 0));
	out("\n");
	}
_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
