/* sprintf function */
#include <string.h>
#include "xstdio.h"
_STD_BEGIN

int (sprintf)(char *s, const char *fmt, ...)
	{	/* print formatted to string */
	int ans;
	va_list ap;
        _SProutInfo x;

	va_start(ap, fmt);

        x.s = s;

	ans = _Printf(&_SProut, &x, fmt, &ap);
        *x.s = '\0';
	va_end(ap);
	return ans < 0 ? ans : (x.s - s);
	}
_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
