/* vfwprintf function */
#include "xwstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

int (vfwprintf)(FILE *str, const wchar_t *fmt,
	va_list ap)
	{	/* print formatted to wide stream from arg list */
	int ans;

	_Lockfileatomic(str);
	ans = _WPrintf(&_WFProut, str, fmt, &ap);
	_Unlockfileatomic(str);
	return (ans);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
