/* wctrans function */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */
#include <yvals.h>
#include <string.h>
#include <wctype.h>

#include <xmtloc.h>

_STD_BEGIN

static char const * const wctrans_tab [] =
{
  "tolower",
  "toupper"
};

wctrans_t (wctrans)(const char *name)
{	/* find transformation for wide character */
  int n;

  for (n = 0; n < sizeof(wctrans_tab)/sizeof(wctrans_tab[0]); ++n)
  {
    if (strcmp(wctrans_tab[n], name) == 0)
    {
      break;
    }
  }
  return n;
}

_STD_END
