/* wmemchr function */
#define _NO_DEFINITIONS_IN_HEADER_FILES
#include <wchar.h>
_STD_BEGIN

wchar_t *(_Wmemchr)(const wchar_t *s, wchar_t c, size_t n)
{	/* find first occurrence of c in wchar_t s[n] */
  for (; 0 < n; ++s, --n)
    if (*s == c)
      return ((wchar_t *)s);
  return (0);
}

wchar_t *(wmemchr)(const wchar_t *s, wchar_t c, size_t n)
{
  return _Wmemchr(s, c, n);
}

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
