/* _Mbtowc - Multibyte to wide characters. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <yvals.h>


#if _DLIB_FULL_LOCALE_SUPPORT

#include <locale.h>

#include <xwchar.h>
#include <xlocale.h>
#include <xencoding.h>

int _Mbtowc(wchar_t *pwc, const char *s, size_t nin, _Mbstatet *pst)
{
  switch (_LocaleEncoding())
  {
  default:
  case _EncodingSb_Id:
    return _EncodingSb_Mbtowc(pwc, s, nin, pst);

#ifdef _ENCODING_USE_UTF8
  case _EncodingUtf8_Id:
    return _EncodingUtf8_Mbtowc(pwc, s, nin, pst);
#endif
  }
}

#endif /* _DLIB_FULL_LOCALE_SUPPORT */
