/* _Printf_Xxx template. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <stddef.h>
#include <stdio.h>
#include <stdarg.h>
#include <xstdio.h>

/* #pragma diag_suppress = pe177 */

#ifdef _PRINTF_SUFFIX
#define _Printf    _GLUE(_Printf, _PRINTF_SUFFIX)
#else
#define _PRINTF_SUFFIX Default
#endif

#define _Putfld    _GLUE(_Putfld  , _PRINTF_SUFFIX)
#define _Puttxt    _GLUE(_Puttxt  , _PRINTF_SUFFIX)
#define _Putstr    _GLUE(_Putstr  , _PRINTF_SUFFIX)
#define _Litob     _GLUE(_Litob   , _PRINTF_SUFFIX)
#define _Ldtob     _GLUE(_Ldtob   , _PRINTF_SUFFIX)
#define _Genld     _GLUE(_Genld   , _PRINTF_SUFFIX)
#define _Putchar   _GLUE(_Putchar , _PRINTF_SUFFIX)
#define _Putchars  _GLUE(_Putchars, _PRINTF_SUFFIX)

int _Printf(_PrintfPfnType *,
            void *, const char *, va_list *);
#pragma inline=forced
static int _Putfld(_Pft *px, va_list *pap, char code);
#pragma inline=forced
static int _Puttxt(_Pft *px, const char *ac);
static int _Putstr(_Pft *px, const wchar_t *pwc);
static void _Litob(_Pft *px, char code);
static void _Ldtob(_Pft *px, char code);
static void _Genld(_Pft *px, char code, char *p, short nsig, short xexp);
static int _Putchar(_Pft * px, char c);
static int _Putchars(_Pft * px, char const * s, int n);

#include "xprintf.c"
#include "xputfld.c"
#include "xputtxt.c"
#include "xputstr.c"
#include "xlitob.c"
#include "xldtob.c"
#include "xgenld.c"
#include "xputchars.c"
