/* _Iswctype function */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */
#include <yvals.h>
#include <wctype.h>

_STD_BEGIN

int _Iswctype(wint_t wc, wctype_t off)
{
  switch (off)
  {
  case 0: return iswalnum(wc);
  case 1: return iswalpha(wc);
  case 2: return iswcntrl(wc);
  case 3: return iswdigit(wc);
  case 4: return iswgraph(wc);
  case 5: return iswlower(wc);
  case 6: return iswprint(wc);
  case 7: return iswpunct(wc);
  case 8: return iswspace(wc);
  case 9: return iswupper(wc);
  case 10: return iswxdigit(wc);
  default:
    return 0;
  }
}

_STD_END
